Subject: Re: bug#31968: 26.1.50; Allow to hide title bar on maximize (gtk/gnome/csd)

From: martin rudalics <[email-masked]>
Date: Sun, 01 Jul 2018 11:04:36 +0200

> Bad news: this doesn't work under Cinnamon, only Gnome. I somehow
 > assumed it was gtk itself hidding the decoration, but it seems it's
 > not working like that.

GTK just manages the settings we request and passes them on to the
window manager.

 > Nevertheless I'm more fond of a pure elisp approach like the one
 > suggested by Johnathan (hooking from window-size-change-functions). Is
 > there anything wrong with that?

Couldn't you try it?  Just check the 'fullscreen' and 'undecorated'
frame parameters there and if they don't match (that is maximized and
decorated or not-maximized and undecorated) set the 'undecorated'
parameter appropriately.  Later on we have to make sure that a per se
undecorated frame does not get decorations when it's demaximized.

I'm afraid you will see some flickering though.

martin